nx_metadata_sdk 1.0 Metadata SDK

Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::stub::object_actions::Engine Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::object_actions::Engine:

## Protected Member Functions
virtual std::string | manifestString () const override
virtual void | doObtainDeviceAgent (nx::sdk::Result< nx::sdk::analytics::IDeviceAgent *> *outResult, const nx::sdk::IDeviceInfo *deviceInfo) override
virtual nx::sdk::Result< sdk::analytics::IAction::Result > | executeAction (const std::string &actionId, nx::sdk::Uuid trackId, nx::sdk::Uuid deviceId, int64_t timestampUs, nx::sdk::Ptr< nx::sdk::analytics::IObjectTrackInfo > objectTrackInfo, const std::map< std::string, std::string > &params) override
Protected Member Functions inherited from nx::sdk::analytics::Engine
| Engine (bool enableOutput, const std::string &pluginInstanceId="")
virtual Result< const ISettingsResponse * > | settingsReceived ()
std::string | settingValue (const std::string &settingName) const
void | pushPluginDiagnosticEvent (IPluginDiagnosticEvent::Level level, std::string caption, std::string description)
IHandler * | handler () const
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getPluginSideSettings (Result< const ISettingsResponse *> *outResult) const override
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doExecuteAction (Result< IAction::Result > *outResult, const IAction *action) override

## Additional Inherited Members
Public Member Functions inherited from nx::sdk::analytics::Engine
virtual void | setEngineInfo (const IEngineInfo *engineInfo) override
virtual void | setHandler (IEngine::IHandler *handler) override
virtual bool | isCompatible (const IDeviceInfo *deviceInfo) const override
Public Member Functions inherited from nx::sdk::RefCountable< IEngine >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Protected Attributes inherited from nx::sdk::analytics::Engine
LogUtils | logUtils

## Member Function Documentation

## ◆ executeAction()

Result< IAction::Result > nx::vms_server_plugins::analytics::stub::object_actions::Engine::executeAction | ( | const std::string & | actionId,
|  | nx::sdk::Uuid | objectTrackId,
|  | nx::sdk::Uuid | deviceId,
|  | int64_t | timestampUs,
|  | nx::sdk::Ptr< nx::sdk::analytics::IObjectTrackInfo > | trackInfo,
|  | const std::map< std::string, std::string > & | params
| ) |  |
| override protected virtual

Action handler. Called when some Action defined by this Engine is triggered by the Server.

Parameters

  actionId | Id of the Action being triggered.
  objectTrackId | Id of an Object Track for which the Action has been triggered.
  deviceId | Id of a Device (e.g. a camera) from which the Action has been triggered.
  timestampUs | Timestamp of the object metadata for which the Action has been triggered.
  params | If the Engine manifest defines params for the Action being triggered, contains their values after they are filled by the user via the Client form. Otherwise, empty.

Reimplemented from nx::sdk::analytics::Engine.

The documentation for this class was generated from the following files:

- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/object_actions/engine.h
- samples/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/object_actions/engine.cpp